/*
 *   Copyright (C) <2010>  <AL-ENGINEERING AG>
 *   written by Hans-Joachim Haas
 *   Email <info@al-ag.de>
 *
 *   d(((eti-API is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   d(((eti-API is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this library; if not, write to the Free Software Foundation,
 *   Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package de.alag.eticket.ticketinfo.professional;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlElement;

/**
 * Enthält alle Fehler nach Spec-BOM
 * @author HJHaas
 */
public class BomItemList {
    @XmlElement
    public List<String> KAItem = new ArrayList<String>();

    /**
     * Konstruktor
     */
    public BomItemList() {
    }
    
    /**
     * Fügt einen Fehlerstring hinzu
     * @param text Fehler-Text
     */
    public void Add(String text) {
        KAItem.add(text);
    }
    
    /**
     * Gibt die Anzahl der Fehler zurück
     * @return Anzahl
     */
    public int Size() {
        return KAItem.size();
    }
    
}
